Package org.apache.sling.cms

## Interface Page

All Superinterfaces:
  `PublishableResource`

    @ProviderType
    public interface Page
    extends PublishableResource

An interface representing a sling:Page resource. Adaptable from a sling:Page Resource.

### Method Summary

All Methods Instance Methods Abstract Methods
`String[]` `getKeywords()` Gets the keywords for the page
`PageTemplate` `getTemplate()` Gets the sling:Template this page was configured with
`String` `getTemplatePath()` Gets the path to the template this page was configured with.
`String` `getTitle()` Gets the title of this page, will fall back to the name of the page

### Methods inherited from interface org.apache.sling.cms.PublishableResource

`getContentResource, getCreated, getCreatedBy, getLastModified, getLastModifiedBy, getLastPublication, getLastPublicationBy, getLastPublicationType, getName, getParent, getPath, getProperties, getPublishedPath, getPublishedUrl, getResource, getSite, isPublished`

### Method Detail

#### getKeywords

    String[] getKeywords()

Gets the keywords for the page

Returns:
  the page keywords in a string representation

#### getTemplate

    PageTemplate getTemplate()

Gets the sling:Template this page was configured with

Returns:
  the template for the page

#### getTemplatePath

    String getTemplatePath()

Gets the path to the template this page was configured with.

Returns:
  the path to the template

#### getTitle

    String getTitle()

Gets the title of this page, will fall back to the name of the page

Returns:
  the title of the page or the name of the page if the title is not specified